<!-- eslint-disable vue/multi-word-component-names -->
<script setup lang="ts">
import { nextTick, provide, ref } from 'vue'
import { type Employee } from '@/types/Employee'
import PieChart from './barChart.vue'
import EmployeeList from './EmployeeList.vue'
import { useEmployStore } from '@/stores/employee';
import { onMounted } from 'vue';
const employeeStore = useEmployStore();
employeeStore.onMounted
const employees: Employee[] = employeeStore.Employees
const workHours: Employee[] = employeeStore.Employees
const productSales: Employee[] = employeeStore.Employees
const employeeNames: string[] = employees.map((employee) => employee.name)
const overall: Employee[] = employeeStore.Employees
console.log(employeeNames);

const tab = ref(1)
</script>

<template>

  <v-container fluid>
    <v-row max-width="900" height="900">

      <v-col min-width="auto" height="900" style="background-color: rgba(255, 255, 255, 0.5)">
        <v-sheet min-width="auto" height="60" elevation="6" style="
            font-size: x-large;
            text-align: left;
            background-color: white;
            font-weight: bold;
          ">
          <v-container>Store Performance</v-container>
        </v-sheet>
        <div min-height="500" style="background-color: rgba(255, 255, 255, 0.5)">
          <!-- ใส่กราฟในนี้ -->
          <v-container><v-row><v-col>
              <PieChart/>
            </v-col>
            <v-col><PieChart/></v-col>
          </v-row></v-container>
          


        </div>
      </v-col>
    </v-row>
  </v-container>
  <v-container fluid>
    <v-row max-width="900" height="900">

      <v-col min-width="auto" height="900" style="background-color: rgba(255, 255, 255, 0.5)">
        <card>
          <v-sheet min-width="auto" height="60" elevation="6" style="
            font-size: x-large;
            text-align: left;
            background-color: white;
            font-weight: bold;
          ">
            <v-container>Employee Performance</v-container>
          </v-sheet>
          <v-tabs v-model="tab" color="#f79c52" bg-color="white">
            <v-tab :value="1">Work Hours</v-tab>
            <v-tab :value="2">Product Sales</v-tab>
            <v-tab :value="3">Overall</v-tab>
          </v-tabs>

          <v-card-text style="background-color: rgba(255, 255, 255, 0.5)">
            <v-window v-model="tab">
              <v-window-item :value="1">
                <EmployeeList :employees="employeeStore.Employees" />
              </v-window-item>
              <v-window-item :value="2">
                <EmployeeList :employees="employeeStore.Employees" />
              </v-window-item>
              <v-window-item :value="3">
                <EmployeeList :employees="employeeStore.Employees" />
              </v-window-item>
            </v-window>
          </v-card-text>
        </card>
      </v-col>
    </v-row>
  </v-container>

</template>
